#!/usr/bin/env python
# -*- coding: utf_8 -*-

from webcreator.event import PySignal

class SignalManager(object):
{%- for item in config %}
    {%- for key, value in item['view'].items() %}
    action{{ key | letterUpper }}{{ item.get("name") | letterUpper }} = PySignal()
    {%- endfor %}
{%- endfor %}

    def __init__(self):
        super().__init__()

signalManager = SignalManager()
